# $Revision: 1.2 $, $Date: 2007/03/03 13:16:13 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Taxi
Summary:	Data::Taxi - Taint-aware, XML-ish data serialization
Name:		perl-Data-Taxi
Version:	0.94
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5d7c981fba542ae8b170e6d31af4c86d
URL:		http://search.cpan.org/dist/Data-Taxi/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Taxi (Taint-Aware XML-Ish) is a data serializer with several handy features:
- Taint aware. Taxi does not force you to trust the data you are serializing. None of the input data is executed.
- Human readable. Taxi produces a human-readable string that simplifies checking the output of your objects.
- XML-ish. While full XML compliance is not promised, Taxi produces a block of XML-ish data that could probably be read in by other XML parsers.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Data/Taxi.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Taxi.spec,v $
Revision 1.2  2007/03/03 13:16:13  glen
- generic url

Revision 1.1  2007/03/03 12:24:47  arekm
- new


